osgUtil::CullVisitor::MatrixPlanesDrawables Struct Reference

`#include <CullVisitor>`

## Public Member Functions

| MatrixPlanesDrawables ()
void | set (const osg::Matrix &matrix, const osg::Drawable *drawable, const osg::Polytope &frustum)
| MatrixPlanesDrawables (const MatrixPlanesDrawables &mpd)
MatrixPlanesDrawables & | operator= (const MatrixPlanesDrawables &mpd)

## Public Attributes

osg::Matrix | _matrix
const osg::Drawable * | _drawable
osg::Polytope::PlaneList | _planes

## Constructor & Destructor Documentation

## MatrixPlanesDrawables() [1/2]

osgUtil::CullVisitor::MatrixPlanesDrawables::MatrixPlanesDrawables | ( |  | ) |

inline

References _drawable.

Referenced by MatrixPlanesDrawables(), and operator=().

## MatrixPlanesDrawables() [2/2]

osgUtil::CullVisitor::MatrixPlanesDrawables::MatrixPlanesDrawables | ( | const MatrixPlanesDrawables & | mpd | ) |

inline

References _drawable, _matrix, _planes, and MatrixPlanesDrawables().

## Member Function Documentation

## operator=()

MatrixPlanesDrawables & osgUtil::CullVisitor::MatrixPlanesDrawables::operator= | ( | const MatrixPlanesDrawables & | mpd | ) |

inline

References _drawable, _matrix, _planes, and MatrixPlanesDrawables().

## set()

void osgUtil::CullVisitor::MatrixPlanesDrawables::set | ( | const osg::Matrix & | matrix,
|  | const osg::Drawable * | drawable,
|  | const osg::Polytope & | frustum )

inline

References _drawable, _matrix, _planes, osg::Polytope::getPlaneList(), and osg::Polytope::getResultMask().

## Member Data Documentation

## _drawable

const osg::Drawable* osgUtil::CullVisitor::MatrixPlanesDrawables::_drawable

Referenced by MatrixPlanesDrawables(), MatrixPlanesDrawables(), operator=(), and set().

## _matrix

osg::Matrix osgUtil::CullVisitor::MatrixPlanesDrawables::_matrix

Referenced by MatrixPlanesDrawables(), operator=(), and set().

## _planes

osg::Polytope::PlaneList osgUtil::CullVisitor::MatrixPlanesDrawables::_planes

Referenced by MatrixPlanesDrawables(), operator=(), and set().

The documentation for this struct was generated from the following file:

- CullVisitor